 const registrationForm = document.getElementById("registration_form");
 
  // Fields
  const firstNameField = registrationForm.querySelector(".cardholder_name_js");
  const lastNamefield = registrationForm.querySelector(".cardholder_last_name_js");
  const phonefield = registrationForm.querySelector(".cardholder_phone_js");
  // Inputs
  const firstNameInput = firstNameField.querySelector("input");
  const lastNameInput = lastNamefield.querySelector("input");
  const phoneInput = phonefield.querySelector("input");

  // Errors
  const firstNameHelp = firstNameField.querySelector(".name_help_js");
  const lastNameHelp = lastNamefield.querySelector(".last_name_help_js");
  const phoneHelp = phonefield.querySelector(".phone_help_js");
  const errorHelp = phonefield.querySelector(".error_help_js");

  const submitButton = registrationForm.querySelector(".submit_button_js");

//   const formData = {
//     firstname: "",
//     lastname: "",
//     phone: "",
//     subid: offerData.subid,
//     buyer: offerData.buyer,
//     source: offerData.source || "bigo",
//     landing: offerData.landing_name,
//     crm_campaign: offerData.crm_campaign,
//     placement: offerData.thank_you_page,
//     creative_id: offerData.creative,
//     currency: "KZТ",
//     timezone: "KZ",
//     country: "KZ",
//   };

const formData = new FormData();
formData.append('name', 'John Doe');
// const answers = {};
console.log("Init value:");
for (let [key, value] of formData.entries()) {
    console.log(`${key}: ${value}`);
}

  IMask(phoneInput, {
    mask: "0000000000",
  });

  var phoneInputLocale = window.intlTelInput(phoneInput, {
    initialCountry: "kz",
    separateDialCode: true,
    formatOnDisplay: true,
    autoPlaceholder: "off",
    placeholderNumberType: "MOBILE",
    showSelectedDialCode: true,
    onlyCountries: ["kz"],
    utilsScript: "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/19.2.16/js/utils.js",
  });

  function validateFirstName() {
    const value = firstNameInput.value.trim();
    if (value === "") {
      firstNameHelp.textContent = "Пожалуйста, введите имя";
      return false;
    } else if (value.length < 2) {
      firstNameHelp.textContent = "Должно быть минимум 2 символа.";
      return false;
    } else if (value.length > 15) {
      firstNameHelp.textContent = "Допустимо максимум 15 символов.";
      return false;
    } else if (!value.match(/^[а-яА-ЯёЁ]+$/)) {
      firstNameHelp.textContent = "Разрешены только буквы кириллицы без пробелов.";
      return false;
    } else {
      firstNameHelp.textContent = "";
      return true;
    }
  }

  function validateLastName() {
    const value = lastNameInput.value.trim();
    if (value === "") {
      lastNameHelp.textContent = "Пожалуйста, введите фамилию";
      return false;
    } else if (value.length < 2) {
      lastNameHelp.textContent = "Должно быть минимум 2 символа.";
      return false;
    } else if (value.length > 20) {
      lastNameHelp.textContent = "Допустимо максимум 20 символов.";
      return false;
    } else if (!value.match(/^[а-яА-ЯёЁ]+$/)) {
      lastNameHelp.textContent = "Разрешены только буквы кириллицы без пробелов.";
      return false;
    } else {
      lastNameHelp.textContent = "";
      return true;
    }
  }
  
  function trimPhone(phone) {
      return phone.trim().replace("(", "").replace(")", "").replace(" ", "").replace("-", "").replace("+", "")
  }

  function validatePhone() {
    var phoneNumber = phoneInputLocale.getNumber();
    console.log(phoneNumber);

    if (phoneNumber.trim() === "") {
      phoneHelp.textContent = "Пожалуйста, введите номер телефона";
      return false;
    }
    if (phoneNumber.replace(/\D/g, "").length > 10) {
      // if (phoneNumber[2] !== "0" && phoneNumber[2] !== "6" && phoneNumber[2] !== "7") {
      //   phoneHelp.textContent = "Введите номер зарегистрированый в Казахстане";
      //   return false;
      // }
      formData.append("phone", phoneNumber);
      formData.append("email", `${trimPhone(phoneNumber)}nomail@gmail.com`);
      localStorage.setItem("phone", `${phoneNumber}`);
      phoneHelp.textContent = "";
      return true;
    } else {
      phoneHelp.textContent = "Введите корректный номер телефона.";
      return false;
    }
  }

  function validateForm(event) {
    event.preventDefault();
    console.log("Validating...");

    formData.append("firstname", firstNameInput.value.trim());
    localStorage.setItem("name", `${firstNameInput.value.trim()}`);
    formData.append("lastname", lastNameInput.value.trim());
    localStorage.setItem("surname", `${lastNameInput.value.trim()}`);
    for (let [key, value] of formData.entries()) {
        console.log(`${key}: ${value}`);
    }

    var isValid = true;

    if (!validateFirstName()) {
      isValid = false;
    }
    if (!validateLastName()) {
      isValid = false;
    }
    if (!validatePhone()) {
      isValid = false;
    }
    
    const answersLocal = {}; 
    const allRadioButtons = $("input[type='radio']:checked")
    allRadioButtons.each((i, btn) => {
      answersLocal[btn.name] = btn.value;
    });
    console.log(allRadioButtons);
    const answersString = Object.values(answersLocal).map((value, index) => {
      return `${index+1}. ${value}`
    }).join("\n");
    formData.append("answers", answersString);
    console.log(answersLocal, answersString);

    if (isValid) {
      sendRegistrationData();
    }
  }

  function sendRegistrationData() {
    // window.removeEventListener("beforeunload", trackClose);
    // window.removeEventListener("unload", trackClose);
    // window.removeEventListener("visibilitychange", changeVisibility);
    submitButton.disabled = true;
    submitButton.style.opacity = "0.5";

    for (let [key, value] of formData.entries()) {
      console.log(`${key}: ${value}`);
    }
    fetch("./mail.php", {
      method: "POST",
      body: formData,
    })
      .then((response) => {
        // window.location.href = "./thx.html"
        submitButton.disabled = false;
        submitButton.style.opacity = "1";
        errorHelp.textContent = "";
      })
      .catch((error) => {
        console.error(error.message, "Ошибка");
        submitButton.disabled = false;
        errorHelp.textContent = "Неизвестная ошибка";
        submitButton.style.opacity = "1";
      });
  }

  function checkActiveSubmitButton() {
    if (firstNameInput.value.length > 1 && lastNameInput.value.length > 1 && phoneInput.value.length > 9) {
      submitButton.classList.add("registration-form__submit--active");
    } else {
      submitButton.classList.remove("registration-form__submit--active");
    }
  }

  function activateRegistrationForm() {
    registrationForm.addEventListener("submit", validateForm);
  }
  function activateField() {
    firstNameInput.addEventListener("blur", validateFirstName);
    lastNameInput.addEventListener("blur", validateLastName);
    phoneInput.addEventListener("blur", validatePhone);

    firstNameInput.addEventListener("keypress", checkActiveSubmitButton);
    lastNameInput.addEventListener("keypress", checkActiveSubmitButton);
    phoneInput.addEventListener("keypress", checkActiveSubmitButton);
  }

  // function checkedRadioButton() {
// 
  // }

  // function activateRadioButtons() {
  //   allRadioButtons.each((i, btn) => {  
  //     answers[btn.name] = btn.value;
  //     btn.addEventListener("change", checkedRadioButton)
  //   });
  // }

  activateRegistrationForm();
  activateField();
